Date   

KML SimpleData

Bonzo
 

Hi, is it possible to to retrieve SimpleData attributes from a KML document?

I've opened a collection, and tried both KML and KMZ documents - and whilst I can see the "normal" KML attributes - I cannot see the "SimpleData" attributes listed in the feature properties...

I tried to see if I could pass an OGR environment variable... but not sure if I got this right:

with fiona.drivers(LIBKML_USE_SCHEMADATA=True):
  cll = fiona.open('/vsizip/' + fnSrc + '/doc.kml',mode='r',layer='QFESCurrentIncidents')
  f1 = cll.next()
  f1['properties'].keys()
 

I'm using:
Python 2.7.9
Fiona 1.8.13
OS: Linux/Debian 8

Regards, Bonzo.


supplying SHAPE_RESTORE_SHX=YES to fiona.open

Ricky Teachey
 

Hello: I hope this is the right place to ask a question. I also hope I am not creating this topic twice; I tried emailing main@fiona.groups.io but it did not work.

I am trying to figure out how to open a .shp while without all the other accompanying files. I THINK want to do this because I believe I don't care about the data in those other files. However I'm also a total beginner in usage of shape files so please let me know if I am wrong about what it is I believe.

My belief is that the geometric information- basically, the XY coordinates- of the shapes I intend to plot (using plotly.express.choropleth) and turn into a little app for my own use is contained in the .shp file. These .shp files are being created for me in Autocad by a coworker; they are not actually maps of any kind, just a bunch of shapes, and .shp is a much more convenient way to save them than .dxf.

I understand that most of the time, you will pass shape files around with other files, such as .shx, and Autocad does create these files. However it would be easier to not worry about these other files for my purposes.

It appears it is possible to do what I want to do by supplying the option of SHAPE_RESTORE_SHX=YES to GDAL. However, I'm trying to do this using a python script with fiona, and not using the CLI.

Assuming what I am wanting to do makes some kind of sense, is there a way to supply the SHAPE_RESTORE_SHX=YES directive to fiona.open so that I can open a .shp file without the other files? I tried just doing this:

fiona.open(pathlib.Path(shp), SHAPE_RESTORE_SHX="YES")

But it doesn't seem to work.

details: Python 3.8.1 Windows 10 Fiona 1.8.13 GDAL 3.0.4 Installed using the wheels at Christoph Gohlke's web page


Re: Unable to open .zip in Docker container

David Johansen <davejohansen@...>
 

On Fri, Feb 21, 2020 at 1:56 PM René Buffat <buffat@...> wrote:
Under linux, you can view shared libraries linked to a binary using ldd.

E.g. ldd /usr/bin/gdalinfo

It looks like gdal is using minizip ( https://packages.debian.org/buster/minizip ) in the debian image and I wonder if it doesn't support the format of the file I'm using:
# ldd /usr/lib/libgdal.so | grep -i z
libsz.so.2 => /usr/lib/x86_64-linux-gnu/libsz.so.2 (0x00007fc51c3bb000)
libzstd.so.1 => /usr/lib/x86_64-linux-gnu/libzstd.so.1 (0x00007fc51b8aa000)
liblzma.so.5 => /lib/x86_64-linux-gnu/liblzma.so.5 (0x00007fc51b882000)
libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007fc51a963000)
libminizip.so.1 => /usr/lib/x86_64-linux-gnu/libminizip.so.1 (0x00007fc51921c000)

And on Alpine it looks like it's using libz:
# ldd /usr/lib/libgdal.so | grep -i z
libz.so.1 => /lib/libz.so.1 (0x7ff3ca10f000)
liblzma.so.5 => /usr/lib/liblzma.so.5 (0x7ff3c9999000)
libbz2.so.1 => /usr/lib/libbz2.so.1 (0x7ff3c998a000)


Re: Unable to open .zip in Docker container

René Buffat
 

Under linux, you can view shared libraries linked to a binary using ldd.

E.g. ldd /usr/bin/gdalinfo


Re: Unable to open .zip in Docker container

David Johansen <davejohansen@...>
 

On Wed, Feb 19, 2020 at 7:05 AM David Johansen via Groups.Io <davejohansen=gmail.com@groups.io> wrote:
I'm using fiona 1.8.13 in both case, and for GDAL, on my Mac, it's 2.4.2, in the debian container it's 2.4.0 and in the Alpine container it's 3.0.3.

On Wed, Feb 19, 2020 at 12:18 AM <hannes-fiona.groups.io@...> wrote:
Hi Dave,

are you using the same versions of Fiona and GDAL?

Cheers, Hannes

On Tue, 18 Feb 2020 16:25:57 -0800
davejohansen@... wrote:

> I'm trying to load a .gdb.zip file in a Docker container using
> `fiona.listlayers()` but it says that it's not a supported format
> with the following exception:
>
> ```
>
> File \"fiona/_shim.pyx\", line 83, in fiona._shim.gdal_open_vector
>
> File \"fiona/_err.pyx\", line 270, in fiona._err.exc_wrap_pointer
>
> fiona._err.CPLE_OpenFailedError: '/tmp/test.gdb.zip' not recognized
> as a supported file format.
>
> During handling of the above exception, another exception occurred:
>
> Traceback (most recent call last):
>
> File \"/usr/src/app/numetric/connectrunner/shp_file/shp_file.py\",
> line 34, in _listlayers
>
> for layer in fiona.listlayers(filename):
>
> File
> \"/usr/src/app/numetric/connectrunner/venv/lib/python3.8/site-packages/fiona/env.py\",
> line 407, in wrapper
>
> return f(*args, **kwargs)
>
> File
> \"/usr/src/app/numetric/connectrunner/venv/lib/python3.8/site-packages/fiona/__init__.py\",
> line 344, in listlayers
>
> return _listlayers(vsi_path(pobj))
>
> File \"fiona/ogrext.pyx\", line 1512, in fiona.ogrext._listlayers
>
> File \"fiona/_shim.pyx\", line 90, in fiona._shim.gdal_open_vector
> ```
>
> The same code works fine on my Mac with the same file, but doesn't in
> the `3.8.1-slim-buster` and `3.8.1-alpine3.11` images. Any ideas on
> why and what I can do to fix this?
>
> Thanks,
>
> Dave
>
>
>

From playing around with this a bit more, I believe it's from the GDAL not being able to open the .zip file. Is there a way for me to check what compression libraries are available to GDAL? 


Re: Writing to GeoPackage fails when two attributes have the same name (ignoring case)

Sean Gillies
 

Hi Olmo,

On Fri, Feb 21, 2020 at 7:55 AM <olmo.nietosilleras@...> wrote:
Hi,

Fiona throws a "Failed to write record" RuntimeError when trying to write records to a GeoPackage if two or more attributes have equal names ignoring the case. I understand this is because GeoPackage is a SQLite container and that one should in principle not have two columns with the same name (ignoring case). But would it be possible to include a check and output a more specific error message in this particular case to facilitate debugging?

In my case I ran into this problem while performing a merge with geopandas on two keys that differed only by their case, so that the resulting GeoDataFrame contained two columns with the same name (ignoring the case). A simple solution is clearly to drop one of them or to modify the case before merging the two dataframes. But it would be quite useful if the error message directly pointed one to this problem.

Here is the error message I get with geopandas/fiona (the duplicate attributes are "CODE_OBJ" and "code_obj"):

Traceback (most recent call last):
  File "C:\Continuum\miniconda3\envs\geo\lib\site-packages\geopandas\io\file.py", line 130, in to_file
    colxn.writerecords(df.iterfeatures())
  File "C:\Continuum\miniconda3\envs\geo\lib\site-packages\fiona\collection.py", line 342, in writerecords
    self.session.writerecs(records, self)
  File "fiona/ogrext.pyx", line 1198, in fiona.ogrext.WritingSession.writerecs
RuntimeError: Failed to write record: {'id': '0', 'type': 'Feature', 'properties': {'CODE_OBJ': '000028064CC805B1', 'GWSCOD_H': 202, 'REF_ID': 912884578, 'code_obj': '000028064CC805B1'}, 'geometry': {'type': 'Polygon', 'coordinates': (((247632.21, 160821.25), (247683.44, 160754.28), (247728.75, 160791.5), (247726.5, 160796.37), (247813.0, 160869.0), (247843.21, 160827.61000000002), (247768.44, 160770.21), (247854.5, 160678.0), (247856.6, 160675.93), (247791.64, 160617.36000000002), (247782.0, 160609.0), (247780.41, 160607.24), (247772.44, 160601.25), (247615.69, 160806.28), (247632.21, 160821.25)),)}}

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "fiona/_err.pyx", line 201, in fiona._err.GDALErrCtxManager.__exit__
fiona._err.CPLE_AppDefinedError: b'failed to prepare SQL: SELECT "fid", ST_MinX("geom"), ST_MaxX("geom"), ST_MinY("geom"), ST_MaxY("geom") FROM "layer0" WHERE "geom" NOT NULL AND NOT ST_IsEmpty("geom")'
Exception ignored in: 'fiona._shim.gdal_flush_cache'
Traceback (most recent call last):
  File "fiona/_err.pyx", line 201, in fiona._err.GDALErrCtxManager.__exit__
fiona._err.CPLE_AppDefinedError: b'failed to prepare SQL: SELECT "fid", ST_MinX("geom"), ST_MaxX("geom"), ST_MinY("geom"), ST_MaxY("geom") FROM "layer0" WHERE "geom" NOT NULL AND NOT ST_IsEmpty("geom")'
(This problem does not arise when writing to a shapefile or to GeoJSON.)

As a point of comparison, QGIS for example outputs the following error when trying to add a second column with the same name (ignoring case)

OGR error creating field CODE_OBJ: sqlite3_exec(ALTER TABLE "layer0" ADD COLUMN "CODE_OBJ" TEXT(80)) failed: duplicate column name: CODE_OBJ
Thanks,
Olmo

A better error message would be good, indeed. I can see in fiona where we may be hiding it and will put this on the list of issues to address. Thanks!

--
Sean Gillies


Writing to GeoPackage fails when two attributes have the same name (ignoring case)

olmo.nietosilleras@...
 

Hi,

Fiona throws a "Failed to write record" RuntimeError when trying to write records to a GeoPackage if two or more attributes have equal names ignoring the case. I understand this is because GeoPackage is a SQLite container and that one should in principle not have two columns with the same name (ignoring case). But would it be possible to include a check and output a more specific error message in this particular case to facilitate debugging?

In my case I ran into this problem while performing a merge with geopandas on two keys that differed only by their case, so that the resulting GeoDataFrame contained two columns with the same name (ignoring the case). A simple solution is clearly to drop one of them or to modify the case before merging the two dataframes. But it would be quite useful if the error message directly pointed one to this problem.

Here is the error message I get with geopandas/fiona (the duplicate attributes are "CODE_OBJ" and "code_obj"):

Traceback (most recent call last):
  File "C:\Continuum\miniconda3\envs\geo\lib\site-packages\geopandas\io\file.py", line 130, in to_file
    colxn.writerecords(df.iterfeatures())
  File "C:\Continuum\miniconda3\envs\geo\lib\site-packages\fiona\collection.py", line 342, in writerecords
    self.session.writerecs(records, self)
  File "fiona/ogrext.pyx", line 1198, in fiona.ogrext.WritingSession.writerecs
RuntimeError: Failed to write record: {'id': '0', 'type': 'Feature', 'properties': {'CODE_OBJ': '000028064CC805B1', 'GWSCOD_H': 202, 'REF_ID': 912884578, 'code_obj': '000028064CC805B1'}, 'geometry': {'type': 'Polygon', 'coordinates': (((247632.21, 160821.25), (247683.44, 160754.28), (247728.75, 160791.5), (247726.5, 160796.37), (247813.0, 160869.0), (247843.21, 160827.61000000002), (247768.44, 160770.21), (247854.5, 160678.0), (247856.6, 160675.93), (247791.64, 160617.36000000002), (247782.0, 160609.0), (247780.41, 160607.24), (247772.44, 160601.25), (247615.69, 160806.28), (247632.21, 160821.25)),)}}

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "fiona/_err.pyx", line 201, in fiona._err.GDALErrCtxManager.__exit__
fiona._err.CPLE_AppDefinedError: b'failed to prepare SQL: SELECT "fid", ST_MinX("geom"), ST_MaxX("geom"), ST_MinY("geom"), ST_MaxY("geom") FROM "layer0" WHERE "geom" NOT NULL AND NOT ST_IsEmpty("geom")'
Exception ignored in: 'fiona._shim.gdal_flush_cache'
Traceback (most recent call last):
  File "fiona/_err.pyx", line 201, in fiona._err.GDALErrCtxManager.__exit__
fiona._err.CPLE_AppDefinedError: b'failed to prepare SQL: SELECT "fid", ST_MinX("geom"), ST_MaxX("geom"), ST_MinY("geom"), ST_MaxY("geom") FROM "layer0" WHERE "geom" NOT NULL AND NOT ST_IsEmpty("geom")'
(This problem does not arise when writing to a shapefile or to GeoJSON.)

As a point of comparison, QGIS for example outputs the following error when trying to add a second column with the same name (ignoring case)

OGR error creating field CODE_OBJ: sqlite3_exec(ALTER TABLE "layer0" ADD COLUMN "CODE_OBJ" TEXT(80)) failed: duplicate column name: CODE_OBJ
Thanks,
Olmo


Re: Unable to open .zip in Docker container

davejohansen@...
 

I'm using fiona 1.8.13 in both case, and for GDAL, on my Mac, it's 2.4.2, in the debian container it's 2.4.0 and in the Alpine container it's 3.0.3.


On Wed, Feb 19, 2020 at 12:18 AM <hannes-fiona.groups.io@...> wrote:
Hi Dave,

are you using the same versions of Fiona and GDAL?

Cheers, Hannes

On Tue, 18 Feb 2020 16:25:57 -0800
davejohansen@... wrote:

> I'm trying to load a .gdb.zip file in a Docker container using
> `fiona.listlayers()` but it says that it's not a supported format
> with the following exception:
>
> ```
>
> File \"fiona/_shim.pyx\", line 83, in fiona._shim.gdal_open_vector
>
> File \"fiona/_err.pyx\", line 270, in fiona._err.exc_wrap_pointer
>
> fiona._err.CPLE_OpenFailedError: '/tmp/test.gdb.zip' not recognized
> as a supported file format.
>
> During handling of the above exception, another exception occurred:
>
> Traceback (most recent call last):
>
> File \"/usr/src/app/numetric/connectrunner/shp_file/shp_file.py\",
> line 34, in _listlayers
>
> for layer in fiona.listlayers(filename):
>
> File
> \"/usr/src/app/numetric/connectrunner/venv/lib/python3.8/site-packages/fiona/env.py\",
> line 407, in wrapper
>
> return f(*args, **kwargs)
>
> File
> \"/usr/src/app/numetric/connectrunner/venv/lib/python3.8/site-packages/fiona/__init__.py\",
> line 344, in listlayers
>
> return _listlayers(vsi_path(pobj))
>
> File \"fiona/ogrext.pyx\", line 1512, in fiona.ogrext._listlayers
>
> File \"fiona/_shim.pyx\", line 90, in fiona._shim.gdal_open_vector
> ```
>
> The same code works fine on my Mac with the same file, but doesn't in
> the `3.8.1-slim-buster` and `3.8.1-alpine3.11` images. Any ideas on
> why and what I can do to fix this?
>
> Thanks,
>
> Dave
>
>
>




Re: Unable to open .zip in Docker container

hannes-fiona.groups.io@...
 

Hi Dave,

are you using the same versions of Fiona and GDAL?

Cheers, Hannes

On Tue, 18 Feb 2020 16:25:57 -0800
davejohansen@gmail.com wrote:

I'm trying to load a .gdb.zip file in a Docker container using
`fiona.listlayers()` but it says that it's not a supported format
with the following exception:

```

File \"fiona/_shim.pyx\", line 83, in fiona._shim.gdal_open_vector

File \"fiona/_err.pyx\", line 270, in fiona._err.exc_wrap_pointer

fiona._err.CPLE_OpenFailedError: '/tmp/test.gdb.zip' not recognized
as a supported file format.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File \"/usr/src/app/numetric/connectrunner/shp_file/shp_file.py\",
line 34, in _listlayers

for layer in fiona.listlayers(filename):

File
\"/usr/src/app/numetric/connectrunner/venv/lib/python3.8/site-packages/fiona/env.py\",
line 407, in wrapper

return f(*args, **kwargs)

File
\"/usr/src/app/numetric/connectrunner/venv/lib/python3.8/site-packages/fiona/__init__.py\",
line 344, in listlayers

return _listlayers(vsi_path(pobj))

File \"fiona/ogrext.pyx\", line 1512, in fiona.ogrext._listlayers

File \"fiona/_shim.pyx\", line 90, in fiona._shim.gdal_open_vector
```

The same code works fine on my Mac with the same file, but doesn't in
the `3.8.1-slim-buster` and `3.8.1-alpine3.11` images. Any ideas on
why and what I can do to fix this?

Thanks,

Dave



Unable to open .zip in Docker container

davejohansen@...
 

I'm trying to load a .gdb.zip file in a Docker container using `fiona.listlayers()` but it says that it's not a supported format with the following exception:

```

File \"fiona/_shim.pyx\", line 83, in fiona._shim.gdal_open_vector

  File \"fiona/_err.pyx\", line 270, in fiona._err.exc_wrap_pointer

fiona._err.CPLE_OpenFailedError: '/tmp/test.gdb.zip' not recognized as a supported file format.

 

During handling of the above exception, another exception occurred:

 

Traceback (most recent call last):

  File \"/usr/src/app/numetric/connectrunner/shp_file/shp_file.py\", line 34, in _listlayers

    for layer in fiona.listlayers(filename):

  File \"/usr/src/app/numetric/connectrunner/venv/lib/python3.8/site-packages/fiona/env.py\", line 407, in wrapper

    return f(*args, **kwargs)

  File \"/usr/src/app/numetric/connectrunner/venv/lib/python3.8/site-packages/fiona/__init__.py\", line 344, in listlayers

    return _listlayers(vsi_path(pobj))

  File \"fiona/ogrext.pyx\", line 1512, in fiona.ogrext._listlayers

 

  File \"fiona/_shim.pyx\", line 90, in fiona._shim.gdal_open_vector
```

The same code works fine on my Mac with the same file, but doesn't in the `3.8.1-slim-buster` and `3.8.1-alpine3.11` images. Any ideas on why and what I can do to fix this?

Thanks,

Dave


Re: supplying SHAPE_RESTORE_SHX=YES to fiona.open

René Buffat
 

You should be able to pass configuration options to GDAL using fiona.ENV: https://fiona.readthedocs.io/en/stable/manual.html#ogr-configuration-options

According to Wikipedia, at least the shp, shx and dbf files are mandatory: https://en.wikipedia.org/wiki/Shapefile#Shapefile_shape_index_format_(.shx)

GDAL, respectively Fiona is able to read dxf files directly: https://gdal.org/drivers/vector/dxf.html As DXF is not a standard GIS file format, it's probably best to try out what works better.

lg rene


supplying SHAPE_RESTORE_SHX=YES to fiona.open

Ricky Teachey
 

Hello: I hope this is the right place to ask a question.

I am trying to figure out how to open a .shp while without all the other accompanying files. I THINK want to do this because I believe I don't care about the data in those other files. However I'm also a total beginner in usage of shape files so please let me know if I am wrong about what it is I believe.

My belief is that the geometric information- basically, the XY coordinates- of the shapes I intend to plot (using plotly.express.choropleth) and turn into a little app for my own use is contained in the .shp file. These .shp files are being created for me in Autocad by a coworker; they are not actually maps of any kind, just a bunch of shapes, and .shp is a much more convenient way to save them than .dxf.

I understand that most of the time, you will pass shape files around with other files, such as .shx, and Autocad does create these files. However it would be easier to not worry about these other files for my purposes.

It appears it is possible to do what I want to do by supplying the option of SHAPE_RESTORE_SHX=YES to GDAL. However, I'm trying to do this using a python script with fiona, and not using the CLI.

Assuming what I am wanting to do makes some kind of sense, is there a way to supply the SHAPE_RESTORE_SHX=YES directive to fiona.open so that I can open a .shp file without the other files? I tried just doing this:
fiona.open(pathlib.Path(shp), SHAPE_RESTORE_SHX="YES")
But it doesn't seem to work.

details:
Python 3.8.1
Windows 10
Fiona 1.8.13
GDAL 3.0.4
Installed using the wheels at Christoph Gohlke's web page

---
Ricky.

"I've never met a Kentucky man who wasn't either thinking about going home or actually going home." - Happy Chandler


Fiona 1.8.13 and py38 manylinux1 and macosx wheels

Sean Gillies
 

Hi all,

You may not notice the changes in 1.8.13 unless you're using poetry to install Fiona, but we do have 64-bit manylinux1 and macosx wheels for Python 3.8 for the first time. I hope you enjoy them and thank you for your patience!

--
Sean Gillies


Re: Scaling Geometry to Match Image File

katsonandrew3.5@...
 

Update:

I saw the response to getting it in WGS84 and I will try that in a bit. But I think the major issue is that it actually does not include antarctic and cuts off greenland as shown in this representation (http://www.luminocity3d.org/WorldPopDen/#3/45.89/-7.73)


Re: Scaling Geometry to Match Image File

katsonandrew3.5@...
 

In case this helps. Here is how I did scaling it to get more accurate numbers originally before I switched but this was even flawed:

world_total_bounds = world_boundaries.total_bounds

population_image_total_bounds = world_pop_image.bounds

x_scale = (population_image_total_bounds.right - population_image_total_bounds.left) / (world_total_bounds[MAX_X] - world_total_bounds[MIN_X])
y_scale = (population_image_total_bounds.top - population_image_total_bounds.bottom) / (world_total_bounds[MAX_Y] - world_total_bounds[MIN_Y])

world_boundaries['geometry'] = world_boundaries['geometry'].apply(lambda geometry: shapely.ops.transform(lambda x, y, z=None: (x * x_scale, y * y_scale), geometry))


Re: Scaling Geometry to Match Image File

katsonandrew3.5@...
 

I do not know if this will be helpful at all but this is how I am doing my masks and population:


population_image_slice_arr, new_image_transform = rasterio.mask.mask(world_pop_image, [polygon_for_some_country], crop=True, nodata=0)

population_image_slice_arr[population_image_slice_arr < 0] = 0

total_population = population_image_slice_arr.sum()


I know this is incorrect because when i did manual scaling using the bounds of the image and shapely.ops.transform the population for say India would be 800 million when it should be 1.3 billion but then when I changed it to use the affine matrix the math came out to 0.0 population.


Re: Scaling Geometry to Match Image File

katsonandrew3.5@...
 

I did not finish my question. I have typed the rest.

Here is how I read in the population file:

world_pop_image = rasterio.open(path_to_image, nodata=0)

Here is how I read the boundaries file:

world_boundaries = gpd.read_file(path_to_boundaries)

Here is how I do my reprojection (the raster is in World Mollweide which is not explicitly supported so I found the below workaround):

world_boundaries.to_crs('+proj=eck4 +lon_0=0 +x_0=0 +y_0=0 +datum=WGS84 +units=m +no_defs')

Here is how I do my scaling:

from shapely.affinity import affine_transformation

population_image_affine = world_pop_image.transform

shapely_affine_repr = [population_image_affine.a, population_image_affine.b, population_image_affine.d, population_image_affine.e, population_image_affine.xoff, population_image_affine.yoff]

world_boundaries['geometry'] = world_boundaries['geometry].apply(lambda geometry: affine_transformation(geometry, shapely_affine_repr)


Scaling Geometry to Match Image File

katsonandrew3.5@...
 

Hi,

I know this is not a fiona specific question but I figure since this kind of covers a variety of modules written by the same people (or at least understood) that I might get an answer here.

I am attempting to do a mask over a population image file using geometries but they are in different projections and different scales. Here are my modules below.

I am using this set of land boundaries: https://www.naturalearthdata.com/http//www.naturalearthdata.com/download/10m/cultural/ne_10m_admin_0_boundary_lines_land.zip
and this population image file: https://ghsl.jrc.ec.europa.eu/download.php?ds=pop (with the 250 m resolution)

Here is how I read in the population file:

world_pop_image =

Here is how I do my reprojection:


Below are all my python packages

Python 3.6
with
Click 7
Fiona 1.8.11
Geometry 0.0.23
Pillow 6.2.1
PyContracts 1.8.12
PyGeometry 1.5.6
Rtree 0.8.3
Shapely 1.6.4.post2
affine 2.3.0
atomicwrites 1.3.0
attrs 19.3.0
certifi 2019.9.11
chardet 3.0.4
click-plugins 1.1.1
cligj 0.5.0
coverage 4.5.4
cupy 6.5.0
cycler 0.10.0
decorator 4.4.1
descartes 1.1.0
fastrlock 0.4
future 0.18.2
geopandas 0.6.1
h5py 2.10.0
idna 2.8
imageio 2.6.1
importlib-metadata 0.23
kiwisolver 1.1.0
matplotlib 3.1.1
more-itertools 7.2.0
munch 2.5.0
numpy 1.17.4
packaging 19.2
pandas 0.25.0
pip 19.3.1
pluggy 0.13.0
psutil 5.6.5
py 1.8.0
pyparsing 2.4.5
pyproj 2.4.1
pytest 5.2.1
pytest-cov 2.8.1
python-Levenshtein 0.12.0
python-dateutil 2.8.1
pytz 2019.3
rasterio 1.0.25
requests 2.22.0
scipy 1.3.1
setuptools 41.6.0
six 1.13.0
snuggs 1.4.7
urllib3 1.25.7
wcwidth 0.1.7
zipp 0.6.0


Re: Where to Ask Questions

katsonandrew3.5@...
 

Great thank you. I will put together some information!


Re: Where to Ask Questions

Sean Gillies
 

Hi,

This discussion group is the right place to ask for help. Make sure to provide details when you describe your problem and the steps you've taken to try to solve it. Python version, operating system, Fiona version, and the source of your software (pip? conda? elsewhere?) are often critical clues.


On Mon, Nov 18, 2019 at 6:34 AM <katsonandrew3.5@...> wrote:
Hi I have been working with shapely and fiona for a few months now. I have an issue that I found mentioned on the github issues but the solution to it does not apply to mine. I was wondering where I could ask in case anyone could help me out. Thank you!

This is the issue I am referencing https://github.com/Toblerity/Fiona/issues/645



--
Sean Gillies

61 - 80 of 111